Rust implementation for the approximate greatest common divisor (AGCD) problem using LLL algorithm.

## commands

*use the provided Makefile to compile the release version*

```
approximate-gcd agcd <path to input file>
```

Input file must have the following format:
+ first non-comment line: number of noise bits (written in decimal)
+ all the other lines, one per line: the numbers Xi (written in decimal) to find the approximate GCD of
+ ```//``` can be used to comment a line, MUST be used at the begining of a new line and not at the end of a line containing a number

### generating values
The script gen_values can be used to generate test values

```
python gen_values.py [--noise-bits <number of noise bits>] [--number <number of values to generate>]
```

the output can be directly written to a file
```
python gen_values.py [options] > input.txt
```
